
From: Andrey Panin <pazke@donpac.ru>

Signed-off-by: Andrey Panin <pazke@donpac.ru>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/include/net/irda/crc.h |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

diff -puN include/net/irda/crc.h~crc16-renaming-in-irda-drivers include/net/irda/crc.h
--- 25/include/net/irda/crc.h~crc16-renaming-in-irda-drivers	Thu Jul  8 15:15:08 2004
+++ 25-akpm/include/net/irda/crc.h	Thu Jul  8 15:15:08 2004
@@ -15,15 +15,15 @@
 #define IRDA_CRC_H
 
 #include <linux/types.h>
-#include <linux/crc16.h>
+#include <linux/crc-ccitt.h>
 
 #define INIT_FCS  0xffff   /* Initial FCS value */
 #define GOOD_FCS  0xf0b8   /* Good final FCS value */
 
 /* Recompute the FCS with one more character appended. */
-#define irda_fcs(fcs, c) crc16_byte(fcs, c)
+#define irda_fcs(fcs, c) crc_ccitt_byte(fcs, c)
 
 /* Recompute the FCS with len bytes appended. */
-#define irda_calc_crc16(fcs, buf, len) crc16(fcs, buf, len)
+#define irda_calc_crc16(fcs, buf, len) crc_ccitt(fcs, buf, len)
 
 #endif
_
